CGAL 6.2 - 2D Periodic Hyperbolic Triangulations: CGAL::Periodic_4_hyperbolic_Delaunay_triangulation_traits_2< Kernel > Class Template Reference

CGAL 6.2 - 2D Periodic Hyperbolic Triangulations

Loading...
Searching...
No Matches
List of all members
CGAL::Periodic_4_hyperbolic_Delaunay_triangulation_traits_2< Kernel > Class Template Reference
Reference Manual » Traits Classes

`#include <CGAL/Periodic_4_hyperbolic_Delaunay_triangulation_traits_2.h>`

## Inherits from

CGAL::Hyperbolic_Delaunay_triangulation_traits_2< class K >.

## Definition

template<class Kernel = CGAL::Exact_predicates_exact_constructions_kernel_with_sqrt>
class CGAL::Periodic_4_hyperbolic_Delaunay_triangulation_traits_2< Kernel >

The class `Periodic_4_hyperbolic_Delaunay_triangulation_traits_2` is the default traits class for the class `Periodic_4_hyperbolic_Delaunay_triangulation_2`.

Is model of
  `Periodic_4HyperbolicDelaunayTriangulationTraits_2`

See also
  `Periodic_4_hyperbolic_Delaunay_triangulation_2`

Examples
  Periodic_4_hyperbolic_triangulation_2/p4ht2_example_insertion.cpp.

## Types
typedef Hyperbolic_Delaunay_triangulation_traits_2< Kernel > | Base
typedef Base::FT | FT
typedef Hyperbolic_octagon_translation< FT > | Hyperbolic_translation
typedef Base::Hyperbolic_point_2 | Hyperbolic_point_2
typedef Hyperbolic_point_2 | Hyperbolic_Voronoi_point_2
typedef Base::Hyperbolic_segment_2 | Hyperbolic_segment_2

## Additional Inherited Members
Public Types inherited from CGAL::Hyperbolic_Delaunay_triangulation_traits_2< class K >
typedef K::FT | FT
typedef K::Point_2 | Hyperbolic_point_2
typedef Hyperbolic_point_2 | Hyperbolic_Voronoi_point_2
typedef unspecified_type | Circular_arc_2
typedef K::Segment_2 | Euclidean_segment_2
typedef std::variant< Circular_arc_2, Euclidean_segment_2 > | Hyperbolic_segment_2
typedef K::Triangle_2 | Hyperbolic_triangle_2
Public Member Functions inherited from CGAL::Hyperbolic_Delaunay_triangulation_traits_2< class K >
| Hyperbolic_Delaunay_triangulation_traits_2 ()
| Hyperbolic_Delaunay_triangulation_traits_2 (const Hyperbolic_Delaunay_triangulation_traits_2 &other)